{% if circle %}
  {% set icon %}
    <span class="rounded-full h-[2em] w-[2em] p-[6px] border border-current inline-flex transition-colors duration-200 motion-reduce:transition-none
      {% if dark %}
        text-button-primary-contrast-default group-hover:bg-button-primary-contrast-hover group-hover:border-button-primary-contrast-hover group-hover:text-text-primary
      {% else %}
        group-hover:bg-button-primary-hover group-hover:border-button-primary-hover group-hover:text-white
      {% endif %}
    ">
    {{ icon | raw }}
    </span>
  {% endset %}
{% else %}
  {% set icon = icon | raw %}
{% endif %}
{% set content %}
  {% if position == 'left' %}
    <span class="mr-8 flex {% if not circle %}h-[1.2em]{% endif %}">
      {{ icon }}
    </span>
    {{ text }}
  {% else %}
      {{ text }}
      <span class="ml-8 {% if not circle %}h-[1.2em]{% endif %}">
        {{ icon }}
      </span>
  {% endif %}
{% endset %}
{% if not attributes %}
	{% set attributes = create_attribute() %}
{% endif %}
{% set attributes = attributes.addClass('inline-flex items-center') %}
{% include '@cambridge_tailwind/components/link/link.twig' with { url, content, dark, external, inline, attributes } %}
